Specify the branch in each repo and no longer specify the branch with the update script since splitjoin deleted their master branch and broke everything, and update submodules

This commit is contained in:
Kevin MacMartin 2021-02-02 00:29:13 -05:00
parent 9206443d41
commit bf9ad5ec70
9 changed files with 10 additions and 10 deletions

4
update
View file

@ -228,7 +228,7 @@ fi
[[ -d "$plugin/.git" ]] && {
pushd "$plugin" >/dev/null || exit
printf '%s' "$cbg_blue $c_reset$cbg_yellow + Updating 'vim/bundle.user/$plugin':$c_reset"
process_status="$(git pull origin master 2>&1)"
process_status="$(git pull 2>&1)"
if (( ! $? )); then
if ! grep -q "Already up-to-date" <<< "$process_status"; then
@ -237,7 +237,7 @@ fi
printf '%s\n' "$cfg_white_bold UP TO DATE $c_reset"
fi
else
error 'git pull origin master' "Failed pulling changes for $plugin" "$process_status"
error 'git pull' "Failed pulling changes for $plugin" "$process_status"
fi
popd >/dev/null || exit

@ -1 +1 @@
Subproject commit 9387ccfbc57f34f9fdc6af85cd0dbddf5ee8c5ae
Subproject commit 9b5c09047361f3ec2cf18afbb6d1e03047a59778

@ -1 +1 @@
Subproject commit 5fb8291d5f5238bdd52025e02470c7602d66f7c4
Subproject commit 2e3f5b5c24152d9aa4a0299ce6d1b7a6b76327eb

@ -1 +1 @@
Subproject commit fa5e6bf8bca114c508b1247a94ef95c89c390a57
Subproject commit 932ea5b9287b8ddfd7b7f0218bb28de52d013140

@ -1 +1 @@
Subproject commit 59eef1364d8ebb16ceb8dba4274f3926f3c3b7f0
Subproject commit 7e8aeb69709b73cdbdaf50f4d26ab45d7920b7f0

@ -1 +1 @@
Subproject commit bebe504e38d0a20c30d6dd666c4c793b3cc66104
Subproject commit 8cf0cf5bfb2b858faecf4e0f6c1b8d0948805e5e

@ -1 +1 @@
Subproject commit b17a435552daf19db4a7f5bce4d097d7e500f4a0
Subproject commit 09e0d49710a20a5cb4e7f53f8d3dbc1914a93845

@ -1 +1 @@
Subproject commit c947ad2b6a16983724a0153bdf7f66d7a80a32ca
Subproject commit 24afe922e6a05891756ecf331f39a1f6743d3d5a

@ -1 +1 @@
Subproject commit 98c693f7a1a91b73d9232d868765b4d20af892fe
Subproject commit b2a0450e23c63b75bbeabf4f0c28f9b4b2480689